#!/bin/sh

#
# Set JAVA_HOME and J2EE_HOME before running this script.
#
# set JAVA_HOME to the path where you have Java 2 installed.
#
# set J2EE_HOME to the path where you have installed this package (EJB server).
#

if [ -z $JAVA_HOME ]
then
    echo "Please, set JAVA_HOME before running this script."
    exit;
fi

if [ -z $J2EE_HOME ]
then
    echo "Please, set J2EE_HOME before running this script."
    exit;
fi

if [ ! -f bin/start.sh ]
then
    echo "Please start this script from the SyncServer home directory."
    exit;
fi

SYNC4J_HOME=$PWD

cd "$J2EE_HOME"

BINDIR="$J2EE_HOME/bin"
. $BINDIR/setenv.sh

#
# Other settings
#

SAX_PROPS=" -Dorg.xml.sax.parser=org.xml.sax.helpers.XMLReaderAdapter -Dorg.xml.sax.driver=org.apache.crimson.parser.XMLReaderImpl"
PROPS=" $LISTEN_OPTIONS -Dcom.sun.enterprise.home=\"$J2EE_HOME\"  -Djms.home=\"$JMS_HOME\" -Dcom.sun.jms.service.jdbc.dbpath=\"$JMS_DB_PATH\" -Djms.properties=\"$J2EE_HOME/config/jms_service.properties\" -Djava.security.policy=\"$SYNC4J_HOME/lib/security/server.policy\" -Djava.security.auth.login.config=\"$SYNC4J_HOME/lib/security/serverlogin.config\"" -Dsync4j.home=\"$SYNC4J_HOME\""

$JAVACMD $SAX_PROPS $PROPS -classpath "$CPATH" com.sun.enterprise.server.J2EEServer -verbose "$@"
